# Quickstart Paragraphs

**Quickstart Paragraphs** is a developer-focused Drupal module that jumpstarts your project by providing a ready-to-use set of commonly used paragraph types.  
Ideal for content-rich websites and component-driven architectures, this module accelerates development, simplifies content editing, and maintains design consistency across pages.

---

## ✅ Included Paragraph Types

- **Accordion** – Expandable/collapsible content blocks
- **Carousel** – Responsive sliders for images or content
- **Hero Section** – Prominent banner sections with configurable content
- **Image Card** – Flexible visual content blocks with image and text
- **Icon Card** – Highlight features with icons, labels, and optional links
- **Section Details** – Rich text and media sections for detailed content

---

## 🚀 Key Features

- Plug-and-play paragraph types with smart defaults
- Minimal configuration required — start building immediately
- Easily themeable to match any design system or style guide
- Built for performance, reusability, and editor experience
- Compatible with Drupal 10 and 11

---

## 📦 Installation

You can install **Quickstart Paragraphs** like any other Drupal module:

### Using Composer
```bash
composer require drupal/quickstart_paragraphs
```

You can enable it in following ways:
- Option 1
```bash
cd web
or 
cd docroot
php core/scripts/drupal recipe ../recipes/quickstart_paragraphs -v
```

- Option 2
```bash
drush recipe quickstart_paragraphs
```

- Option 3
in admin UI navigate to Extend (/admin/modules) and enable Quickstart Paragraphs manually.


## 🎨 Theming Tips

- All paragraph types are built using semantic markup and utility-friendly classes for easy customization.
- Pair with Tailwind CSS, Bootstrap, or your custom framework for maximum flexibility.
- Each paragraph type includes theme hook suggestions (e.g., paragraph--hero-section.html.twig) for granular control.
- Extend and override templates as needed to align with your design system.


## 💡 Use Cases

- Rapid prototyping with predefined content sections
- Reusable component library for agencies and teams
- Content-heavy websites that require layout flexibility without custom dev overhead
- Design system integration in Drupal with consistent UX patterns
